// Package docs GENERATED BY SWAG; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "API Support",
            "email": "email@winc-link.com"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/alert": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "告警列表",
                "parameters": [
                    {
                        "type": "string",
                        "name": "content",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "device_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "rule_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "触发时间",
                        "name": "trigger_time",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/alert-ignore/:ruleId": {
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "忽略告警",
                "responses": {}
            }
        },
        "/api/v1/alert-list": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "告警列表",
                "parameters": [
                    {
                        "type": "string",
                        "name": "alertLevel",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "triggerEndTime",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "triggerStartTime",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/dtos.AlertSearchQueryResponse"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/alert-plate": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "告警列表",
                "parameters": [
                    {
                        "type": "string",
                        "name": "alertLevel",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "triggerEndTime",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "triggerStartTime",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/dtos.AlertSearchQueryResponse"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/alert-rule": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "告警规则列表",
                "parameters": [
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "msg",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/dtos.AlertRuleSearchQueryResponse"
                                }
                            }
                        }
                    }
                }
            },
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "添加告警规则",
                "parameters": [
                    {
                        "type": "string",
                        "description": "告警级别",
                        "name": "alert_level",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "告警类型",
                        "name": "alert_type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "描述",
                        "name": "description",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "名字",
                        "name": "name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/alert-rule/:ruleId": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "告警规则详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ruleId",
                        "name": "ruleId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            },
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "编辑告警规则",
                "parameters": [
                    {
                        "type": "string",
                        "description": "执行条件",
                        "name": "condition",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "静默时间",
                        "name": "silence_time",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            },
            "delete": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "告警规则删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ruleId",
                        "name": "ruleId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/alert-rule/:ruleId/restart": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "告警规则重启",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ruleId",
                        "name": "ruleId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/alert-rule/:ruleId/start": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "告警规则启动",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ruleId",
                        "name": "ruleId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/alert-rule/:ruleId/stop": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "告警规则停止",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ruleId",
                        "name": "ruleId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/alert-treated": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "告警中心"
                ],
                "summary": "处理告警",
                "responses": {}
            }
        },
        "/api/v1/auth/init-password": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户系统"
                ],
                "summary": "密码初始化",
                "parameters": [
                    {
                        "description": "密码初始化参数",
                        "name": "init_password_request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.InitPasswordRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/auth/initInfo": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户系统"
                ],
                "summary": "获取网关账号是否初始化",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/auth/login": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户系统"
                ],
                "summary": "用户登录",
                "parameters": [
                    {
                        "description": "用户登录参数",
                        "name": "login_request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.LoginRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/auth/password": {
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户系统"
                ],
                "summary": "密码修改",
                "parameters": [
                    {
                        "description": "密码修改参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.UpdatePasswordRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/category-template": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "标准产品品类"
                ],
                "summary": "标准产品品类列表",
                "parameters": [
                    {
                        "type": "string",
                        "name": "categoryName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "scene",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/dtos.CategoryTemplateResponse"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/category-template/sync": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "标准产品品类"
                ],
                "summary": "同步标准产品品类",
                "parameters": [
                    {
                        "type": "string",
                        "name": "categoryName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "scene",
                        "in": "query"
                    }
                ],
                "responses": {}
            }
        },
        "/api/v1/cloud-instance": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "我的云服务实例"
                ],
                "summary": "云服务实例列表",
                "parameters": [
                    {
                        "type": "string",
                        "name": "cloudServiceId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dtos.CloudInstanceSearchQueryRequest"
                        }
                    }
                }
            }
        },
        "/api/v1/cloud-instance/:cloudInstanceId/authorization": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "我的云服务实例"
                ],
                "summary": "云服务实例授权",
                "parameters": [
                    {
                        "type": "string",
                        "description": "参数",
                        "name": "cloudInstanceId",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.CloudInstanceAuthorizationRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/cloud-service": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "云服务"
                ],
                "summary": "云服务列表",
                "parameters": [
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/dataresource": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "资源管理"
                ],
                "summary": "资源管理查询",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            },
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "资源管理"
                ],
                "summary": "修改资源管理",
                "parameters": [
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "type",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            },
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "资源管理"
                ],
                "summary": "添加资源管理",
                "parameters": [
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "type",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/dataresource/:resourceId": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "资源管理"
                ],
                "summary": "添加资源管理",
                "parameters": [
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "type",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            },
            "delete": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "资源管理"
                ],
                "summary": "删除资源管理",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/device": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "添加设备",
                "parameters": [
                    {
                        "type": "string",
                        "name": "description",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "device_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "driver_instance_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "platform",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "product_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/device-libraries": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "驱动库管理"
                ],
                "summary": "查询驱动",
                "parameters": [
                    {
                        "type": "integer",
                        "name": "classify_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "docker_config_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "docker_repo_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "download_status",
                        "in": "query"
                    },
                    {
                        "enum": [
                            1,
                            2
                        ],
                        "type": "integer",
                        "description": "驱动库类型，1：驱动，2：三方应用",
                        "name": "driver_type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "内置条件",
                        "name": "imageIds",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "is_internal",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name_alias_like",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "约定，没有from的为 内置查询条件",
                        "name": "noInIds",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "内置条件",
                        "name": "noInImageIds",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.ResPageResult"
                        }
                    }
                }
            },
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "驱动库管理"
                ],
                "summary": "新增驱动库",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.DeviceLibraryAddRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/device-libraries/:deviceLibraryId": {
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "驱动库管理"
                ],
                "summary": "驱动库更新",
                "parameters": [
                    {
                        "type": "string",
                        "description": "驱动ID",
                        "name": "deviceLibraryId",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Alias        *string ` + "`" + `json:\"alias\"` + "`" + `",
                        "name": "description",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "icon",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "name": "language",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "manual",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Manufacturer *string ` + "`" + `json:\"manufacturer\"` + "`" + `",
                        "name": "protocol",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            },
            "delete": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "驱动库管理"
                ],
                "summary": "删除驱动",
                "parameters": [
                    {
                        "type": "string",
                        "description": "驱动ID",
                        "name": "deviceLibraryId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/device-mqtt/:deviceId": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "查询mqtt连接详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "pid",
                        "name": "deviceId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dtos.DeviceAuthInfoResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/device-server": {
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "驱动实例管理"
                ],
                "summary": "编辑驱动实例",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.DeviceServiceUpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/device-servers": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "驱动实例管理"
                ],
                "summary": "查询驱动实例",
                "parameters": [
                    {
                        "type": "string",
                        "name": "cloudProductId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "驱动库ID",
                        "name": "deviceLibraryId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "驱动库IDs",
                        "name": "deviceLibraryIds",
                        "in": "query"
                    },
                    {
                        "enum": [
                            1,
                            2
                        ],
                        "type": "integer",
                        "description": "驱动库类型，1：驱动，2：三方应用",
                        "name": "driverType",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "platform",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "productId",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.ResPageResult"
                        }
                    }
                }
            }
        },
        "/api/v1/device-sync": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "同步设备信息",
                "parameters": [
                    {
                        "type": "string",
                        "name": "cloud_instance_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "driver_instance_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/device-sync/:deviceId": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "同步单个设备信息",
                "parameters": [
                    {
                        "type": "string",
                        "name": "device_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/device/:deviceId": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "查询详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "pid",
                        "name": "deviceId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dtos.DeviceInfoResponse"
                        }
                    }
                }
            },
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "更新设备",
                "parameters": [
                    {
                        "type": "string",
                        "description": "pid",
                        "name": "deviceId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            },
            "delete": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "删除设备",
                "parameters": [
                    {
                        "type": "string",
                        "description": "pid",
                        "name": "deviceId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/device/:deviceId/thing-model/event": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "查看设备事件数据",
                "parameters": [
                    {
                        "type": "string",
                        "name": "code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "deviceId",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "first",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "last",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "array",
                        "items": {
                            "type": "integer"
                        },
                        "description": "Page     int     ` + "`" + `json:\"page\"` + "`" + `\nPageSize int     ` + "`" + `json:\"pageSize\"` + "`" + `",
                        "name": "range",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/dtos.ThingModelEventDataResponse"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/device/:deviceId/thing-model/property": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "查看设备属性数据",
                "parameters": [
                    {
                        "type": "string",
                        "name": "code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "deviceId",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "first",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "last",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "array",
                        "items": {
                            "type": "integer"
                        },
                        "description": "Page     int     ` + "`" + `json:\"page\"` + "`" + `\nPageSize int     ` + "`" + `json:\"pageSize\"` + "`" + `",
                        "name": "range",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/dtos.ThingModelDataResponse"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/device/:deviceId/thing-model/service": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "查看设备服务调用数据",
                "parameters": [
                    {
                        "type": "string",
                        "name": "code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "deviceId",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "first",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "last",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "array",
                        "items": {
                            "type": "integer"
                        },
                        "description": "Page     int     ` + "`" + `json:\"page\"` + "`" + `\nPageSize int     ` + "`" + `json:\"pageSize\"` + "`" + `",
                        "name": "range",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/dtos.ThingModelServiceDataResponse"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/device/upload-validated": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "设备导入模版校验",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/device_classify": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "驱动库分类"
                ],
                "summary": "驱动库分类",
                "parameters": [
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/device_server/:deviceServiceId": {
            "delete": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "驱动实例管理"
                ],
                "summary": "删除驱动实例（废弃，已经改为websockert形式)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "驱动实例 ID",
                        "name": "deviceServiceId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/devices": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "查询设备列表",
                "parameters": [
                    {
                        "type": "string",
                        "name": "cloudInstanceId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "cloudProductId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "driveInstanceId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "platform",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "productId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/dtos.DeviceSearchQueryResponse"
                                }
                            }
                        }
                    }
                }
            },
            "delete": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "批量删除设备",
                "parameters": [
                    {
                        "type": "string",
                        "description": "pid",
                        "name": "deviceId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/devices/bind-driver": {
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "设备批量绑定驱动",
                "parameters": [
                    {
                        "type": "array",
                        "items": {
                            "type": "string"
                        },
                        "name": "device_ids",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "driver_instance_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/devices/import": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "设备导入",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/devices/import-template": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "设备导入模版下载",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/docker-configs": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "镜像仓库管理"
                ],
                "summary": "获取镜像列表",
                "parameters": [
                    {
                        "type": "string",
                        "name": "account",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "address",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.ResPageResult"
                        }
                    }
                }
            },
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "镜像仓库管理"
                ],
                "summary": "新增镜像",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.DockerConfigAddRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/docker-configs/:dockerConfigId": {
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "镜像仓库管理"
                ],
                "summary": "修改仓库信息",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.DockerConfigUpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            },
            "delete": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "镜像仓库管理"
                ],
                "summary": "删除仓库信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "镜像ID",
                        "name": "dockerConfigId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/homepage": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "首页"
                ],
                "summary": "首页",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.ResPageResult"
                        }
                    }
                }
            }
        },
        "/api/v1/iot-platform": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品管理"
                ],
                "summary": "云平台列表",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/local/config/dns": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "配网助手"
                ],
                "summary": "获取dns",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dtos.ConfigDnsResponse"
                        }
                    }
                }
            },
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "配网助手"
                ],
                "summary": "修改dns",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.ConfigDnsUpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dtos.ConfigDnsResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/local/config/network": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "配网助手"
                ],
                "summary": "获取网卡列表",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dtos.ConfigNetWorkResponse"
                        }
                    }
                }
            },
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "配网助手"
                ],
                "summary": "修改网卡",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.ConfigNetworkUpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dtos.ConfigNetWorkResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/product": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品管理"
                ],
                "summary": "添加产品",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.ProductAddRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/product-sync": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品管理"
                ],
                "summary": "云端产品同步",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.ProductSyncRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/product-sync/:productId": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品管理"
                ],
                "summary": "云端单个产品同步",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.ProductSyncByIdRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/product/:productId": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品管理"
                ],
                "summary": "查询产品详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "pid",
                        "name": "productId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dtos.ProductSearchByIdResponse"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品管理"
                ],
                "summary": "删除产品",
                "parameters": [
                    {
                        "type": "string",
                        "description": "pid",
                        "name": "productId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/products": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "产品管理"
                ],
                "summary": "查询产品列表",
                "parameters": [
                    {
                        "type": "string",
                        "name": "cloudInstanceId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "platform",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "productId",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/dtos.ProductSearchQueryResponse"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/rule-engine": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "规则引擎"
                ],
                "summary": "规则引擎列表",
                "parameters": [
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/dtos.RuleEngineSearchQueryResponse"
                                }
                            }
                        }
                    }
                }
            },
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "规则引擎"
                ],
                "summary": "编辑规则引擎",
                "parameters": [
                    {
                        "type": "string",
                        "name": "data_resource_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "描述",
                        "name": "description",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "名字",
                        "name": "name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            },
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "规则引擎"
                ],
                "summary": "添加规则引擎",
                "parameters": [
                    {
                        "type": "string",
                        "name": "data_resource_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "描述",
                        "name": "description",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "名字",
                        "name": "name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/rule-engine/:ruleEngineId": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "规则引擎"
                ],
                "summary": "规则引擎详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ruleEngineId",
                        "name": "ruleEngineId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/rule-engine/:ruleEngineId/delete": {
            "delete": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "规则引擎"
                ],
                "summary": "规则引擎删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ruleEngineId",
                        "name": "ruleEngineId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/rule-engine/:ruleEngineId/start": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "规则引擎"
                ],
                "summary": "规则引擎启动",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ruleEngineId",
                        "name": "ruleEngineId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/rule-engine/:ruleEngineId/status": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "规则引擎"
                ],
                "summary": "规则引擎状态",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ruleEngineId",
                        "name": "ruleEngineId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/rule-engine/:ruleEngineId/stop": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "规则引擎"
                ],
                "summary": "规则引擎停止",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ruleEngineId",
                        "name": "ruleEngineId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/system/backup": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "网关管理"
                ],
                "summary": "网关备份下载",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/thingmodel": {
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物模型"
                ],
                "summary": "修改产品物模型",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.ThingModelAddOrUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物模型"
                ],
                "summary": "产品添加物模型",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.ThingModelAddOrUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物模型"
                ],
                "summary": "产品删除物模型",
                "parameters": [
                    {
                        "description": "参数",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dtos.ThingModelDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/thingmodel-template": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物模型模版"
                ],
                "summary": "物模型模版详情",
                "parameters": [
                    {
                        "type": "string",
                        "name": "categoryName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "scene",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/dtos.ThingModelTemplateResponse"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/thingmodel-template/sync": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物模型模版"
                ],
                "summary": "同步物模型",
                "parameters": [
                    {
                        "type": "string",
                        "name": "categoryName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "scene",
                        "in": "query"
                    }
                ],
                "responses": {}
            }
        },
        "/api/v1/thingmodel/system": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物模型"
                ],
                "summary": "查询系统物模型",
                "parameters": [
                    {
                        "type": "string",
                        "name": "modelName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "thingModelType",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/thingmodel/unit": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物模型"
                ],
                "summary": "物模型单位",
                "parameters": [
                    {
                        "type": "string",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "ids",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "name": "isAll",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "likeId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "nameLike",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "orderBy",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "unitName",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/dtos.UnitResponse"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/thingmodel/unit-sync": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物模型"
                ],
                "summary": "物模型单位同步",
                "parameters": [
                    {
                        "type": "string",
                        "name": "version_name",
                        "in": "query"
                    }
                ],
                "responses": {}
            }
        },
        "/api/v1/typeresource": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "资源管理"
                ],
                "summary": "实例类型",
                "parameters": [
                    {
                        "type": "string",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "type",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        },
        "/api/v1/unbind-driver": {
            "put": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设备管理"
                ],
                "summary": "设备批量与驱动解绑",
                "parameters": [
                    {
                        "type": "array",
                        "items": {
                            "type": "string"
                        },
                        "name": "device_ids",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "driver_instance_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/httphelper.CommonResponse"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "dtos.AlertRuleSearchQueryResponse": {
            "type": "object",
            "properties": {
                "alert_level": {
                    "description": "告警级别",
                    "type": "string"
                },
                "alert_type": {
                    "description": "告警类型",
                    "type": "string"
                },
                "created": {
                    "type": "integer"
                },
                "description": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "sub_rule": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dtos.SubRule"
                    }
                }
            }
        },
        "dtos.AlertSearchQueryResponse": {
            "type": "object",
            "properties": {
                "alert_level": {
                    "description": "告警级别",
                    "type": "string"
                },
                "alert_result": {
                    "description": "Description string               ` + "`" + `json:\"description\"` + "`" + `",
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "is_send": {
                    "type": "boolean"
                },
                "message": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "treated_time": {
                    "type": "integer"
                },
                "trigger_time": {
                    "type": "integer"
                }
            }
        },
        "dtos.CategoryTemplateResponse": {
            "type": "object",
            "properties": {
                "category_key": {
                    "type": "string"
                },
                "category_name": {
                    "description": "品类名称",
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "scene": {
                    "description": "所属场景",
                    "type": "string"
                }
            }
        },
        "dtos.CloudInstanceAuthorizationRequest": {
            "type": "object",
            "properties": {
                "instance_authorization_config": {
                    "$ref": "#/definitions/dtos.InstanceAuthorizationConfig"
                },
                "instance_log_config": {
                    "$ref": "#/definitions/dtos.InstanceLogConfig"
                }
            }
        },
        "dtos.CloudInstanceSearchQueryRequest": {
            "type": "object",
            "properties": {
                "cloudServiceId": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "ids": {
                    "type": "string"
                },
                "isAll": {
                    "type": "boolean"
                },
                "likeId": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "nameLike": {
                    "type": "string"
                },
                "orderBy": {
                    "type": "string"
                },
                "page": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                }
            }
        },
        "dtos.ConfigDnsResponse": {
            "type": "object",
            "properties": {
                "dns": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "openSwitch": {
                    "type": "boolean"
                }
            }
        },
        "dtos.ConfigDnsUpdateRequest": {
            "type": "object",
            "required": [
                "dns"
            ],
            "properties": {
                "dns": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "openSwitch": {
                    "type": "boolean"
                }
            }
        },
        "dtos.ConfigNetWork": {
            "type": "object",
            "properties": {
                "gwIp": {
                    "type": "string"
                },
                "localIp": {
                    "type": "string"
                },
                "ncId": {
                    "type": "string"
                },
                "netlink": {
                    "type": "boolean"
                },
                "smIp": {
                    "type": "string"
                }
            }
        },
        "dtos.ConfigNetWorkResponse": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dtos.ConfigNetWork"
                    }
                }
            }
        },
        "dtos.ConfigNetworkUpdateRequest": {
            "type": "object",
            "required": [
                "gwIp",
                "localIp",
                "ncId",
                "smIp"
            ],
            "properties": {
                "gwIp": {
                    "type": "string"
                },
                "localIp": {
                    "type": "string"
                },
                "ncId": {
                    "type": "string"
                },
                "smIp": {
                    "type": "string"
                }
            }
        },
        "dtos.DataResourceInfo": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "option": {
                    "type": "object",
                    "additionalProperties": true
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "dtos.DeviceAuthInfoResponse": {
            "type": "object",
            "properties": {
                "clientId": {
                    "type": "string"
                },
                "mqttHostUrl": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "port": {
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "dtos.DeviceInfoResponse": {
            "type": "object",
            "properties": {
                "cloud_device_id": {
                    "type": "string"
                },
                "cloud_instance_id": {
                    "type": "string"
                },
                "cloud_product_id": {
                    "type": "string"
                },
                "create_at": {
                    "type": "integer"
                },
                "description": {
                    "type": "string"
                },
                "device_service_name": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "last_online_time": {
                    "type": "integer"
                },
                "last_sync_time": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "platform": {
                    "type": "string"
                },
                "product_id": {
                    "type": "string"
                },
                "product_name": {
                    "type": "string"
                },
                "secret": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "dtos.DeviceLibraryAddRequest": {
            "type": "object",
            "required": [
                "container_name",
                "docker_config_id",
                "docker_repo_name",
                "name",
                "version"
            ],
            "properties": {
                "container_name": {
                    "type": "string"
                },
                "description": {
                    "type": "string"
                },
                "docker_config_id": {
                    "type": "string"
                },
                "docker_repo_name": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "language": {
                    "description": "代码语言",
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "protocol": {
                    "type": "string"
                },
                "support_version": {
                    "type": "object",
                    "properties": {
                        "config_json": {
                            "type": "string"
                        },
                        "docker_params": {
                            "type": "string"
                        },
                        "docker_params_switch": {
                            "type": "boolean"
                        },
                        "expert_mode": {
                            "type": "boolean"
                        },
                        "expert_mode_content": {
                            "type": "string"
                        },
                        "is_default": {
                            "type": "boolean"
                        }
                    }
                },
                "version": {
                    "type": "string"
                }
            }
        },
        "dtos.DeviceSearchQueryResponse": {
            "type": "object",
            "properties": {
                "cloud_instance_id": {
                    "type": "string"
                },
                "cloud_product_id": {
                    "type": "string"
                },
                "created": {
                    "type": "integer"
                },
                "description": {
                    "type": "string"
                },
                "drive_instance_id": {
                    "type": "string"
                },
                "driver_service_name": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "last_online_time": {
                    "type": "integer"
                },
                "last_sync_time": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "platform": {
                    "type": "string"
                },
                "product_id": {
                    "type": "string"
                },
                "product_name": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "dtos.DeviceServiceUpdateRequest": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "config": {
                    "type": "object",
                    "additionalProperties": true
                },
                "deviceLibraryId": {
                    "type": "string"
                },
                "docker_params": {
                    "type": "string"
                },
                "docker_params_switch": {
                    "type": "boolean"
                },
                "expertMode": {
                    "type": "boolean"
                },
                "expertModeContent": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "platform": {
                    "type": "string"
                }
            }
        },
        "dtos.DockerConfigAddRequest": {
            "type": "object",
            "required": [
                "address"
            ],
            "properties": {
                "account": {
                    "description": "账户",
                    "type": "string"
                },
                "address": {
                    "description": "仓库地址 true",
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                }
            }
        },
        "dtos.DockerConfigUpdateRequest": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "account": {
                    "type": "string"
                },
                "address": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "dtos.Filter": {
            "type": "object",
            "properties": {
                "condition": {
                    "type": "string"
                },
                "message_source": {
                    "type": "string"
                },
                "select_name": {
                    "type": "string"
                },
                "sql": {
                    "type": "string"
                }
            }
        },
        "dtos.InitPasswordRequest": {
            "type": "object",
            "required": [
                "newPassword"
            ],
            "properties": {
                "newPassword": {
                    "type": "string"
                }
            }
        },
        "dtos.InstanceAuthorizationConfig": {
            "type": "object",
            "properties": {
                "ak": {
                    "type": "string"
                },
                "endpoint": {
                    "type": "string"
                },
                "instance_id": {
                    "type": "string"
                },
                "mqtt_host": {
                    "type": "string"
                },
                "mqtt_port": {
                    "type": "string"
                },
                "regions": {
                    "type": "string"
                },
                "sk": {
                    "type": "string"
                }
            }
        },
        "dtos.InstanceLogConfig": {
            "type": "object",
            "properties": {
                "log_filter": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "log_switch": {
                    "type": "boolean"
                }
            }
        },
        "dtos.LoginRequest": {
            "type": "object",
            "required": [
                "password",
                "username"
            ],
            "properties": {
                "password": {
                    "type": "string"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "dtos.Notify": {
            "type": "object",
            "properties": {
                "end_effect_time": {
                    "description": "生效结束时间",
                    "type": "string"
                },
                "name": {
                    "description": "告警方式",
                    "type": "string"
                },
                "option": {
                    "type": "object",
                    "additionalProperties": {
                        "type": "string"
                    }
                },
                "start_effect_time": {
                    "description": "生效开始时间",
                    "type": "string"
                }
            }
        },
        "dtos.ProductAddRequest": {
            "type": "object",
            "properties": {
                "category_template_id": {
                    "description": "如果是自定义 id固定传递\"1\"",
                    "type": "string"
                },
                "data_format": {
                    "description": "数据类型",
                    "type": "string"
                },
                "description": {
                    "description": "描述",
                    "type": "string"
                },
                "factory": {
                    "description": "厂家",
                    "type": "string"
                },
                "key": {
                    "description": "Platform           string ` + "`" + `json:\"platform\"` + "`" + `",
                    "type": "string"
                },
                "name": {
                    "description": "产品名字",
                    "type": "string"
                },
                "net_type": {
                    "description": "联网模式",
                    "type": "string"
                },
                "node_type": {
                    "description": "节点类型",
                    "type": "string"
                },
                "protocol": {
                    "description": "协议",
                    "type": "string"
                }
            }
        },
        "dtos.ProductSearchByIdResponse": {
            "type": "object",
            "properties": {
                "actions": {},
                "cloud_instance_id": {
                    "type": "string"
                },
                "cloud_product_id": {
                    "type": "string"
                },
                "created_at": {
                    "type": "integer"
                },
                "data_format": {
                    "type": "string"
                },
                "description": {
                    "type": "string"
                },
                "events": {},
                "factory": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "key": {
                    "type": "string"
                },
                "last_sync_time": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "net_type": {
                    "type": "string"
                },
                "node_type": {
                    "type": "string"
                },
                "platform": {
                    "type": "string"
                },
                "properties": {},
                "protocol": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "dtos.ProductSearchQueryResponse": {
            "type": "object",
            "properties": {
                "category_name": {
                    "type": "string"
                },
                "created_at": {
                    "type": "integer"
                },
                "id": {
                    "type": "string"
                },
                "key": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "node_type": {
                    "type": "string"
                },
                "platform": {
                    "type": "string"
                },
                "product_id": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "dtos.ProductSyncByIdRequest": {
            "type": "object",
            "properties": {
                "product_id": {
                    "type": "string"
                }
            }
        },
        "dtos.ProductSyncRequest": {
            "type": "object",
            "properties": {
                "cloud_instance_id": {
                    "type": "string"
                }
            }
        },
        "dtos.RuleEngineSearchQueryResponse": {
            "type": "object",
            "properties": {
                "created": {
                    "type": "integer"
                },
                "dataResource": {
                    "$ref": "#/definitions/dtos.DataResourceInfo"
                },
                "description": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "resource_type": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "dtos.SubRule": {
            "type": "object",
            "properties": {
                "device_id": {
                    "type": "string"
                },
                "option": {
                    "type": "object",
                    "additionalProperties": {
                        "type": "string"
                    }
                },
                "product_id": {
                    "type": "string"
                },
                "trigger": {
                    "type": "string"
                }
            }
        },
        "dtos.ThingModelActions": {
            "type": "object",
            "properties": {
                "call_type": {
                    "type": "string"
                },
                "input_param": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dtos.ThingModelEventAction"
                    }
                },
                "output_param": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dtos.ThingModelEventAction"
                    }
                }
            }
        },
        "dtos.ThingModelAddOrUpdateReq": {
            "type": "object",
            "properties": {
                "action": {
                    "$ref": "#/definitions/dtos.ThingModelActions"
                },
                "code": {
                    "type": "string"
                },
                "description": {
                    "type": "string"
                },
                "event": {
                    "$ref": "#/definitions/dtos.ThingModelEvents"
                },
                "id": {
                    "type": "string"
                },
                "name": {
                    "description": "ModelName      string                ` + "`" + `json:\"model_name\"` + "`" + `",
                    "type": "string"
                },
                "product_id": {
                    "type": "string"
                },
                "property": {
                    "$ref": "#/definitions/dtos.ThingModelProperties"
                },
                "tag": {
                    "type": "string"
                },
                "thing_model_type": {
                    "type": "string"
                }
            }
        },
        "dtos.ThingModelDataResponse": {
            "type": "object",
            "properties": {
                "access_mode": {
                    "type": "string"
                },
                "code": {
                    "type": "string"
                },
                "data_type": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "time": {
                    "type": "integer"
                },
                "unit": {
                    "type": "string"
                },
                "value": {}
            }
        },
        "dtos.ThingModelDeleteReq": {
            "type": "object",
            "properties": {
                "thing_model_id": {
                    "type": "string"
                },
                "thing_model_type": {
                    "type": "string"
                }
            }
        },
        "dtos.ThingModelEventAction": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "specs": {},
                "type": {
                    "type": "string"
                }
            }
        },
        "dtos.ThingModelEventDataResponse": {
            "type": "object",
            "properties": {
                "event_code": {
                    "type": "string"
                },
                "event_type": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "output_data": {
                    "type": "object",
                    "additionalProperties": true
                },
                "report_time": {
                    "type": "integer"
                }
            }
        },
        "dtos.ThingModelEvents": {
            "type": "object",
            "properties": {
                "event_type": {
                    "type": "string"
                },
                "output_param": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dtos.ThingModelEventAction"
                    }
                }
            }
        },
        "dtos.ThingModelProperties": {
            "type": "object",
            "properties": {
                "access_model": {
                    "type": "string"
                },
                "require": {
                    "type": "boolean"
                },
                "specs": {},
                "type": {
                    "type": "string"
                }
            }
        },
        "dtos.ThingModelServiceDataResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "input_data": {
                    "type": "object",
                    "additionalProperties": true
                },
                "output_data": {
                    "type": "object",
                    "additionalProperties": true
                },
                "report_time": {
                    "type": "integer"
                },
                "service_name": {
                    "type": "string"
                }
            }
        },
        "dtos.ThingModelTemplateResponse": {
            "type": "object",
            "properties": {
                "actions": {},
                "category_key": {
                    "type": "string"
                },
                "category_name": {
                    "description": "品类名称",
                    "type": "string"
                },
                "events": {},
                "id": {
                    "type": "string"
                },
                "properties": {
                    "description": "models.Properties"
                },
                "thing_model_json": {
                    "type": "string"
                }
            }
        },
        "dtos.UnitResponse": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "symbol": {
                    "type": "string"
                },
                "unit_name": {
                    "type": "string"
                }
            }
        },
        "dtos.UpdatePasswordRequest": {
            "type": "object",
            "required": [
                "currentPassword",
                "newPassword"
            ],
            "properties": {
                "currentPassword": {
                    "type": "string"
                },
                "newPassword": {
                    "type": "string"
                }
            }
        },
        "httphelper.CommonResponse": {
            "type": "object",
            "properties": {
                "errorCode": {
                    "description": "错误码",
                    "type": "integer"
                },
                "errorMsg": {
                    "description": "错误信息",
                    "type": "string"
                },
                "result": {
                    "description": "返回结果",
                    "type": "object"
                },
                "success": {
                    "description": "接口是否成功",
                    "type": "boolean"
                },
                "successMsg": {
                    "description": "成功信息",
                    "type": "string"
                }
            }
        },
        "httphelper.ResPageResult": {
            "type": "object",
            "properties": {
                "list": {},
                "page": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        }
    },
    "securityDefinitions": {
        "ApiKeyAuth": {
            "type": "apiKey",
            "name": "x-token",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "",
	BasePath:         "/api/v1",
	Schemes:          []string{},
	Title:            "赢创万联（蜂鸟） API",
	Description:      "Swagger API for Golang Project hummingbird.",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
